Bug 482757

Summary: Review Request: objcryst-fox - Viewing and solving crystal structures from powder diffraction data
Product: [Fedora] Fedora Reporter: Pascal Parois <pascal22p>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: david, fedora-package-review, notting, pingou, susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-01 11:11:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Pascal Parois 2009-01-27 16:43:56 EST
Spec URL: http://svn.debroglie.net/specs/trunk/objcryst-fox.spec
SRPM URL: http://fedora.debroglie.net/SRPMS/9/objcryst-fox-1.8.0-1.fc9.src.rpm

Description: 
The FOX program was made for the ab initio crystal structure solution 
from diffraction data (mostly powder diffraction data). Its most 
interesting features for ab initio structure determination are:
    * a versatile description of the crystal contents: either isolated 
atoms, molecules described using a bond length, bond angles and 
dihedral angles, and polyhedra for inorganic compounds. You can 
describe your structure by using any combination of groups of atoms, 
using a chemist's or crystallographer knowledge about the connectivity 
in your sample to constrain possible solutions;
    * an automatic correction for special positions and shared atoms 
between polyhedra, suitable for global optimization algorithms;
    * the ability to use simultaneously multiple powder patterns 
(X-rays, neutrons), as well as single crystal data (e.g. extracted 
from a powder pattern);
    * smart global optimization algorithms which can get out of 
false minima;
    * a graphical interface with a 3D crystal structure view, with 
live updates during the optimization process.
This program can be used also for educational purposes, to show a 3D display 
of Crystal structures, and the associated powder pattern(s) (see how adding 
atoms, changing the lattice, or changing the spacegroup affects the powder 
spectrum and the 3D structure).

webpage : http://vincefn.net/Fox/

rpmlint is quiet.

This package needs libnewmat : https://bugzilla.redhat.com/show_bug.cgi?id=479978


I need a sponsor, these are my first 2 packages.

Cheers,
Pascal
Comment 1 Pascal Parois 2009-02-06 16:08:23 EST
New srpm: http://fedora.debroglie.net/SRPMS/10/objcryst-fox-1.8.0-2.fc10.debroglie.src.rpm
New spec: http://svn.debroglie.net/specs/trunk/objcryst-fox.spec

I runned the spec through mock, fedora 9/10 and epel 5 both x86_64 are ok.
I corrected some errors on the build require
Comment 3 MERCIER Jonathan 2009-02-14 18:03:16 EST
what's the rpmlint issue:
rpmlint /home/builder/SPEC/objcryst-fox.spec

rpmlint /home/builder/SRPMS/objcryst-fox-1.8.0.3-1.fc10.debroglie.src.rpm

rpmlint /home/builder/RPMS/....
Comment 4 Pascal Parois 2009-02-18 04:41:59 EST
rpmlint is silent.
I runned the spec through mock, fedora 9/10 and epel 5 both x86_64 and i386 are ok.
Comment 5 Pierre-YvesChibon 2009-02-18 11:13:43 EST
I cannot do the review since I'm not a sponsor but I looked at the spec file

Several minor points:

* You can use the macro %{name} instead of Fox in a number of places in the spec
ie:
> Source0:        http://dfn.dl.sourceforge.net/sourceforge/objcryst/Fox-1.8.0.3-R1088.tar.bz2
becomes
> Source0:        http://dfn.dl.sourceforge.net/sourceforge/objcryst/%{name}-%{version}-R1088.tar.bz2
that can save you some problem for later update

* Please add an extra \n between two change in the changelog (some tool used within Fedora need these white line between the change):
ie:
> * Sat Feb 14 2009 Pascal < pascal22p@parois.net > - 1.8.0.3-1
> - Fixed reading, writing files and display of labels in the linux unicode version of Fox 
> * Fri Feb 06 2009 Pascal < pascal22p@parois.net > - 1.8.0-2
becomes
> * Sat Feb 14 2009 Pascal < pascal22p@parois.net > - 1.8.0.3-1
> - Fixed reading, writing files and display of labels in the linux unicode version of Fox 

It might be nice also to give to the reviewer an input file and an output file so that the software could actually be tested :)

You might also be interested to join the SciTech SIG:
https://fedoraproject.org/wiki/Category:SciTech_SIG

> * Fri Feb 06 2009 Pascal < pascal22p@parois.net > - 1.8.0-2
Comment 6 Pascal Parois 2009-02-21 13:22:57 EST
(In reply to comment #5)

> 
> * You can use the macro %{name} instead of Fox in a number of places in the

The name of the package is not the name of the archive.
I used the same name as debian used for their deb:
http://packages.debian.org/fr/sid/objcryst-fox

> 
> * Please add an extra \n between two change in the changelog (some tool used

Done in the spec but new srpm/rpm not updated

> 
> It might be nice also to give to the reviewer an input file and an output file
> so that the software could actually be tested :)

There are example files in /usr/share/doc/objcryst-fox...
A tutorial is here:
http://vincefn.net/Fox/Tutorials

> 
> You might also be interested to join the SciTech SIG:
> https://fedoraproject.org/wiki/Category:SciTech_SIG
> 

Yes, good idea, I'll see when this get pushed in fedora.
Comment 8 Susi Lehtola 2009-07-08 13:10:05 EDT
- Use %global instead of %define. Put the revision definition at the top of the spec file:
 %global revision R1119

- Include the revision in the release tag:
 Release:        2.%{revision}%{?dist}
(every time you update the spec file update the release tag if the version hasn't been updated).

- No explicit Requires: are allowed for libraries; drop
 Requires:       wxGTK, fftw, freeglut
http://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

- Drop the commented patch line
 #%patch0 -p0 

- Instead of
 find . -type d -name .svn -print0 | xargs -0r rm -rf
you can just use
 find . -name *.svn -exec rm -rf {} \;
(or maybe even
 find . -name *.svn -delete;
)

- Preserve time stamps by adding -p to install commands.

- Use "rm" instead of "unlink".

- Install the pixmap to /usr/share/pixmaps, drop the hicolor stuff. (Also, you were missing Requires: hicolor-icon-theme.)
Comment 9 Susi Lehtola 2009-07-08 13:24:43 EDT
(In reply to comment #8)
> - Instead of
>  find . -type d -name .svn -print0 | xargs -0r rm -rf
> you can just use
>  find . -name *.svn -exec rm -rf {} \;
> (or maybe even
>  find . -name *.svn -delete;
> )

Ugh, the .svn's are directories, so what you want to run is
 find . -name .svn -exec rm -rf {} \;
Comment 10 Susi Lehtola 2009-08-05 05:00:28 EDT
ping?
Comment 11 Pascal Parois 2009-08-05 13:21:52 EDT
Sorry, notification mails got lost in my mailbox, I am still here, just very busy.

So I'll look at this later. sometimes this month, as soon as I submit my thesis. 
As I need newmat-c++, I'll look at this one first (https://bugzilla.redhat.com/show_bug.cgi?id=479978)
Comment 12 Pascal Parois 2009-09-16 07:16:43 EDT
I am updating this package and ran into an issue. The release version does not compile, so I would like to use the beta version instead (which is working) but the versioning is 1.8.X

The current version I have is 1.8.1 which is "newer" than 1.8.X. :( I don't if the next version will be 1.8.2 or 1.9.

Any comments welcome
Comment 13 MERCIER Jonathan 2010-05-07 21:01:44 EDT
nobody for review this package?
Comment 16 David Nalley 2011-04-09 23:34:22 EDT
Pascal are you still interested in this packaging this?? I'll be happy to work to sponsor you if you are.
Comment 17 Pascal Parois 2011-04-10 04:10:07 EDT
Yes but I am a bit busy at the moment
Comment 18 Susi Lehtola 2011-12-16 04:57:25 EST
Ping Pascal?
Comment 19 Pascal Parois 2011-12-16 05:46:17 EST
Still here.

Last update (from august):
http://depot.debroglie.net/fedora/RPMS/15/repoview/objcryst-fox.html
https://svn.parois.net/debroglie/specs/trunk/objcryst-fox.spec

It's outdated, the 1.9.7 is out. I put it on my todo list.
Comment 20 Jason Tibbitts 2012-06-29 19:12:43 EDT
Did you want to package 1.9.7 (or whatever is current now)?  The above links don't seem to provide an actual srpm to review so there's not much anyone can do.  Binary packages are of no use at all when reviewing.